## mingw-w64-python-optking-0.3.0-1.src.tar.zst

=== Makefile ===
isort = isort optking
black = black -l 120 optking

.PHONY: format
format:
	$(isort)
	$(black)

.PHONY: lint
lint:
	$(isort) --check-only
	$(black) --check
